MERGEREPO_C(8)

NAME
mergerepo_c - Merge multiple rpm-md format repositories together

SYNOPSIS

mergerepo_c [options] --repo repo1 --repo repo2

OPTIONS

  --version

Show program's version number and exit

  -r --repo REPOS

Repo url

  --repo-prefix-search OLD_PREFIX

Repository prefix to be replaced by NEW_PREFIX.

  --repo-prefix-replace NEW_PREFIX

Repository prefix URL by which the OLD_PREFIX is replaced.

  -a --archlist ARCHLIST

Defaults to all arches - otherwise specify arches

  -d --database

  --no-database

  -v --verbose

  -o --outputdir OUTPUTDIR

Location to create the repository

  --nogroups

Do not merge group (comps) metadata

  --noupdateinfo

Do not merge updateinfo metadata

  --compress-type COMPRESS_TYPE

Which compression type to use

  --zck

Generate zchunk files as well as the standard repodata.

  --zck-dict-dir ZCK_DICT_DIR

Directory containing compression dictionaries for use by zchunk

  --method MERGE_METHOD

Specify merge method for packages with the same name and arch.

Available merge methods:

repo
    (default) select package from the first specified repository.

nvr
    select package with the higher version and release.

ts
    select package with the newest timestamp.

  --all

Include all packages with the same name and arch if version or release is different. If used --method argument is ignored!

  --noarch-repo URL

Packages with noarch architecture will be replaced by package from this repo if exists in it.

  --unique-md-filenames

Include the file's checksum in the metadata filename, helps HTTP caching (default).

  --simple-md-filenames

Do not include the file's checksum in the metadata filename.

  --omit-baseurl

Don't add a baseurl to packages that don't have one before.

  -k --koji

Enable koji mergerepos behaviour. (Optionally select simple mode with: --simple)

  --simple

Enable koji specific simple merge mode where we keep even packages with identical NEVRAs. Only works with combination with --koji/-k.

  --pkgorigins

Enable standard mergerepos behavior while also providing the pkgorigins file for koji.

  --arch-expand

Add multilib architectures for specified archlist and expand all of them. Only works with combination with --archlist.

  -g --groupfile GROUPFILE

Path to groupfile to include in metadata.

  -b --blocked FILE

A file containing a list of srpm names to exclude from the merged repo. Only works with combination with --koji/-k.